<?xml version="1.0" encoding="UTF-8"?>
<web-app version="3.1" xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee http://xmlns.jcp.org/xml/ns/javaee/web-app_3_1.xsd">
    <filter>
        <filter-name>RequestsFilter</filter-name>
        <filter-class>asistencia.filters.RequestsFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>RequestsFilter</filter-name>
        <url-pattern>/servlet/*</url-pattern>
        <url-pattern>*.jsp</url-pattern>
    </filter-mapping>
    <servlet>
        <servlet-name>InterceptarRedireccionServlet</servlet-name>
        <servlet-class>asistencia.servlets.InterceptarRedireccionServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LoginServlet</servlet-name>
        <servlet-class>asistencia.servlets.LoginServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>LogoutServlet</servlet-name>
        <servlet-class>asistencia.servlets.LogoutServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>RedireccionarServlet</servlet-name>
        <servlet-class>asistencia.servlets.RedireccionarServlet</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>PoliciasServlet</servlet-name>
        <servlet-class>asistencia.servlets.PoliciasServlet</servlet-class>
    </servlet>
    <servlet-mapping>
        <servlet-name>InterceptarRedireccionServlet</servlet-name>
        <url-pattern>/vistas/interceptar</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LoginServlet</servlet-name>
        <url-pattern>/login</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>LogoutServlet</servlet-name>
        <url-pattern>/vistas/logout</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>RedireccionarServlet</servlet-name>
        <url-pattern>/vistas/redireccionarServlet</url-pattern>
    </servlet-mapping>
    <error-page>
        <error-code>404</error-code>
        <location>/vistas/error/error.jsp</location>
    </error-page>
    <servlet-mapping>
        <servlet-name>PoliciasServlet</servlet-name>
        <url-pattern>/servlet/PoliciasServlet</url-pattern>
    </servlet-mapping>
    <session-config>
        <session-timeout>
            86400
        </session-timeout>
    </session-config>
</web-app>
